<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:21:24 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp (org.eclipse.papyrus.designer.languages.cpp.profile 1.0.4-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp (org.eclipse.papyrus.designer.languages.cpp.profile 1.0.4-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Array.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Array</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Array</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">C_CppFactory</a></td>
<td class="colLast">
<div class="block">The <b>Factory</b> for the model.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppPackage.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">C_CppPackage</a></td>
<td class="colLast">
<div class="block">The <b>Package</b> for the model.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppPackage.Literals.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">C_CppPackage.Literals</a></td>
<td class="colLast">
<div class="block">Defines literals for the meta objects that represent
 
 each class,
 each feature of each class,
 each enum,
 and each data type
 
 <!-- end-user-doc --></div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Const.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Const</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Const</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/ConstInit.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">ConstInit</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Const Init</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/CppInit.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">CppInit</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Cpp Init</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/CppRoot.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">CppRoot</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Cpp Root</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/External.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">External</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>External</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/ExternLibrary.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">ExternLibrary</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Extern Library</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Friend.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Friend</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Friend</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Include</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Include</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Inline.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Inline</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Inline</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/ManualGeneration.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">ManualGeneration</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Manual Generation</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Mutable.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Mutable</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Mutable</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/NoCodeGen.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">NoCodeGen</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>No Code Gen</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Ptr.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Ptr</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Ptr</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Ref.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Ref</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Ref</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/StorageClass.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">StorageClass</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Storage Class</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Template.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Template</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Template</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/TemplateBinding.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">TemplateBinding</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Template Binding</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/TemplateParameter.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">TemplateParameter</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Template Parameter</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Typedef.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Typedef</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Typedef</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Union.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Union</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Union</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Variadic.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Variadic</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Variadic</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Virtual.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Virtual</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Virtual</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Visibility.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Visibility</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Visibility</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Volatile.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Volatile</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Volatile</b></em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Summary table, listing enums, and an explanation">
<caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Enum</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/EAccessKind.html" title="enum in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">EAccessKind</a></td>
<td class="colLast">
<div class="block">A representation of the literals of the enumeration '<em><b>EAccess Kind</b></em>',
 and utility methods for working with them.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/EStorageClass.html" title="enum in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">EStorageClass</a></td>
<td class="colLast">
<div class="block">A representation of the literals of the enumeration '<em><b>EStorage Class</b></em>',
 and utility methods for working with them.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/VisibilityKind.html" title="enum in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">VisibilityKind</a></td>
<td class="colLast">
<div class="block">A representation of the literals of the enumeration '<em><b>Visibility Kind</b></em>',
 and utility methods for working with them.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
